# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kcontacts': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/kpeople': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kdbusaddons': '@latest-kf6'
    'frameworks/modemmanager-qt': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'libraries/futuresql': '@latest-kf6'
    'third-party/qcoro': '@latest'

Options:
  require-passing-tests-on: ['Linux', 'FreeBSD', 'Windows']
